Table of Contents

## Name

im_LabQ2disp, im_LabQ2disp_build_table, im_LabQ2disp_table - convert LabQ to display rgb quickly and badly

## Synopsis

#include <vips/vips.h>
#include <vips/colour.h>

int im_LabQ2disp( IMAGE *in, IMAGE *out, struct im_col_display *d );

void *im_LabQ2disp_build_table( IMAGE *out, struct im_col_display *d );

int im_LabQ2disp_table( IMAGE *in, IMAGE *out, void *table );

## Description

These functions convert LabQ images to displayable RGB as quickly as possible.

im_LabQ2disp() converts in to out using the display profile d. It has to build a large lookup table, so takes a while to start.

im_LabQ2disp_build_table() is just the table-build phase of im_LabQ2disp(). It returns a handle to the built table (or NULL for error). The memory for the table is allocated local to out (ie is freed when out is closed).

im_LabQ2disp_table() converts in to out using the supplied table.

## Return Value

The functions return 0 on success and -1 on error.

## See Also

im_LabQ2Lab(3) , im_Lab2XYZ(3) , im_XYZ2disp(3)

## Copyright

National Gallery, 1990 - 1997

## Author

J. Cupitt - 21/7/97

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author